org.apache.sysds.runtime.io.hdf5

## Class H5RuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sysds.api.DMLException
        - - org.apache.sysds.runtime.DMLRuntimeException
          - - org.apache.sysds.runtime.io.hdf5.H5RuntimeException

All Implemented Interfaces:
  Serializable

    public class H5RuntimeException
    extends DMLRuntimeException

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.sysds.api.DMLException

`ERROR_MSG_DELIMITER`

### Constructor Summary

Constructors
Constructor and Description
`H5RuntimeException(Exception e)`
`H5RuntimeException(String string)`
`H5RuntimeException(String string, Exception ex)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### H5RuntimeException

    public H5RuntimeException(String string)

#### H5RuntimeException

    public H5RuntimeException(Exception e)

#### H5RuntimeException

    public H5RuntimeException(String string,
                              Exception ex)